Bug 510693 - Unable to use wol (wake on lan) on Marvell Yukon 88E8056 (sky2)
Unable to use wol (wake on lan) on Marvell Yukon 88E8056 (sky2)
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
13
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-07-10 05:53 EDT by Federico Simoncelli
Modified: 2010-09-06 11:45 EDT (History)
4 users (show)

See Also:
Fixed In Version: 2.6.34.6-47
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-09-06 11:45:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Federico Simoncelli 2009-07-10 05:53:43 EDT
Description of problem:
I can configure the wol option for my Marvell Yukon 88E8056 (sky2 module):

# ethtool -s eth0 wol g
# ethtool eth0 | grep -i wake
        Supports Wake-on: pg
        Wake-on: g

But on shutdown the ethernet card is powered off too (the link led is off) making impossible for the wake on lan to work.

Version-Release number of selected component (if applicable):

I've used two different sky2 kernel modules: the fedora kernel one and a recompiled one from the last kernel version:

# modinfo sky2
filename:       /lib/modules/2.6.29.5-191.fc11.x86_64/kernel/drivers/net/sky2.ko
version:        1.22
license:        GPL
author:         Stephen Hemminger <shemminger@linux-foundation.org>
description:    Marvell Yukon 2 Gigabit Ethernet driver
srcversion:     FC1DA01907B458FFDE30171

# modinfo sky2
filename:       /lib/modules/2.6.29.5-191.fc11.x86_64/updates/sky2/sky2.ko
version:        1.23
license:        GPL
author:         Stephen Hemminger <shemminger@linux-foundation.org>
description:    Marvell Yukon 2 Gigabit Ethernet driver
srcversion:     9E9002D9E332A1F2E2BFBB9


Steps to Reproduce:
1. ethtool -s eth0 wol g
2. shutdown -h now
  
Actual results:
The ethernet card led turns off.

Expected results:
The ethernet card should remain on (link led on) waiting for a magic packet.

Additional info:
Marvell Yukon 88E8056 info:

04:00.0 Ethernet controller: Marvell Technology Group Ltd. 88E8056
PCI-E Gigabit Ethernet Controller (rev 13)
       Subsystem: ABIT Computer Corp. Device 1084
       Flags: bus master, fast devsel, latency 0, IRQ 29
       Memory at fdefc000 (64-bit, non-prefetchable) [size=16K]
       I/O ports at ae00 [size=256]
       [virtual] Expansion ROM at fdd00000 [disabled] [size=128K]
       Capabilities: [48] Power Management version 3
       Capabilities: [50] Vital Product Data
       Capabilities: [5c] MSI: Mask- 64bit+ Count=1/1 Enable+
       Capabilities: [e0] Express Legacy Endpoint, MSI 00
       Capabilities: [100] Advanced Error Reporting
       Kernel driver in use: sky2
       Kernel modules: sky2

04:00.0 0200: 11ab:4364 (rev 13)

I still have a dual boot on this machine and configuring wol on windows works perfectly as described here:

http://www.energystar.gov/index.cfm?c=power_mgt.pr_power_mgt_wol

I'd like to point out that there are two step to make it work:

1) Enable "Wake Up Capabilities"
2) Enable "Wake From Shutdown"

The second step is required to leave the ethernet card on even after windows shutdown.

I also read somewhere that this issue might be related to acpi and it should be solved using acpitool -W. Anyway I enabled everything but with no success:

# acpitool -w
  Device       S-state   Status   Sysfs node
 ---------------------------------------
 1. PCI0         S5     enabled   no-bus:pci0000:00
 2. PEX0         S5     enabled   pci:0000:00:1c.0
 3. PEX1         S5     enabled   pci:0000:00:1c.1
 4. PEX2         S5     enabled   pci:0000:00:1c.2
 5. PEX3         S5     enabled
 6. PEX4         S5     enabled
 7. PEX5         S5     enabled
 8. HUB0         S5     enabled   pci:0000:00:1e.0
 9. IGBE         S5     enabled
 10. USB0        S3     enabled   pci:0000:00:1d.0
 11. USB1        S3     enabled   pci:0000:00:1d.1
 12. USB2        S3     enabled   pci:0000:00:1d.2
 13. USB3        S3     enabled   pci:0000:00:1a.0
 14. USB4        S3     enabled   pci:0000:00:1a.1
 15. USB5        S3     enabled   pci:0000:00:1a.2
 16. EHC1        S3     enabled   pci:0000:00:1d.7
 17. EHC2        S3     enabled   pci:0000:00:1a.7
 18. AZAL        S5     enabled   pci:0000:00:1b.0
Comment 1 Jisakiel 2009-08-27 20:08:01 EDT
For what it might be worth, I'm experiencing the same troubles on Debian's 2.6.30-1, with the integrated nic from an Asus M3A78-T motherboard. I didn't find any WOL options in the bios, though I was suggested to turn on wake on modem ring instead (somewhere over http://ubuntuforums.org/archive/index.php/t-234588.html ). I will try and report; if needed I can help with my hardware (even by installing a minimal Fedora11) if guided.
Comment 2 Federico Simoncelli 2009-08-28 08:42:08 EDT
I had some feedback here:

http://bugzilla.kernel.org/show_bug.cgi?id=13764
Comment 3 Bug Zapper 2010-04-27 11:35:25 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Federico Simoncelli 2010-04-27 11:39:19 EDT
The fix has been found in the upstream bug report:

https://bugzilla.kernel.org/show_bug.cgi?id=13764

Can anyone verify, commit, and close?
Comment 5 Bug Zapper 2010-06-28 09:33:14 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 6 Federico Simoncelli 2010-06-28 09:42:54 EDT
This bug might be fixed in kernel 2.6.34:

https://bugzilla.kernel.org/show_bug.cgi?id=13764#c42
Comment 7 Federico Simoncelli 2010-09-02 12:57:00 EDT
I just tested kernel-2.6.34.6-47.fc13.x86_64 and WOL is now working as expected.

Note You need to log in before you can comment on or make changes to this bug.